mount.fuse.ceph(8)

NAME
mount.fuse.ceph - wrapper around ceph-fuse

DESCRIPTION
Helper to mount ceph-fuse from /etc/fstab. To use, add an entry like:

#  DEVICE                                              PATH         TYPE      OPTIONS
  mount.fuse.ceph#conf=/etc/ceph/ceph.conf,id=admin   /mnt/ceph     fuse     _netdev,noatime,allow_other     0    0
  mount.fuse.ceph#conf=/etc/ceph/foo.conf,id=myuser   /mnt/ceph2    fuse     _netdev,noatime,allow_other     0    0

where the device field is a comma-separated list of options to pass on the command line. The examples above, for example, specify that ceph-fuse will authenticated as client.admin and client.myuser (respectively), and the second example also sets the "conf" option to "/etc/ceph/foo.conf" via the ceph-fuse command line. Any valid ceph-fuse option can be passed in this way.

OPTIONS

--conf
    path to ceph cponfiguration file, usually "/etc/ceph/ceph.conf"

--id
    user name

SEE ALSO

ceph-fuse(8)